Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.widget.client
Class TextButton

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.cellview.client.CellWidget<C>
                  com.google.gwt.widget.client.ButtonBase<java.lang.String>
                      com.google.gwt.widget.client.TextButton

All Implemented Interfaces:
  IsCollapsible, IsEditor<LeafValueEditor<java.lang.String>>, HasAllFocusHandlers, HasAllKeyHandlers, HasBlurHandlers, HasClickHandlers, HasFocusHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasMouseDownHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseUpHandlers, HasAttachHandlers, HasValueChangeHandlers<java.lang.String>, HasHandlers, EventListener, TakesValue<java.lang.String>, Focusable, HasEnabled, HasText, HasValue<java.lang.String>, HasVisibility, IsWidget, HasKeyProvider<java.lang.String>

    public class TextButton

extends ButtonBase<java.lang.String>
implements HasText

A button that displays text and an optional icon.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`` | `TextButton()` Construct a new `TextButton` using the default `TextButtonCell.Appearance`.
`` | `TextButton(java.lang.String text)` Construct a new `TextButton` with the specified text using the default `TextButtonCell.Appearance`.
`` | `TextButton(TextButtonCell.Appearance appearance, java.lang.String text)` Construct a new `TextButton` with the specified text using the specified `TextButtonCell.Appearance` to render the widget.
`protected` | `TextButton(TextButtonCell cell, java.lang.String text)` Construct a new `TextButton` with the specified text using the specified `TextButtonCell` to render the widget.

Method Summary
`java.lang.String` | `getText()` Gets this object's text.
`void` | `setText(java.lang.String text)` Sets this object's text.

Methods inherited from class com.google.gwt.widget.client.ButtonBase
`addBlurHandler, addClickHandler, addFocusHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addMouseDownHandler, addMouseOutHandler, addMouseOverHandler, addMouseUpHandler, getDecoration, getTabIndex, isCollapseLeft, isCollapseRight, isEnabled, setAccessKey, setCollapseLeft, setCollapseRight, setDecoration, setEnabled, setFocus, setTabIndex`

Methods inherited from class com.google.gwt.user.cellview.client.CellWidget
`addValueChangeHandler, asEditor, getCell, getKeyProvider, getValue, onBrowserEvent, redraw, setValue, setValue, setValue`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Constructor Detail

### TextButton

    public TextButton()

  Construct a new `TextButton` using the default `TextButtonCell.Appearance`.

  The default `TextButtonCell.Appearance` may be replaced with a more modern appearance in the future. If you do not want the appearance to be updated with successive versions of GWT, create an `TextButtonCell.Appearance` and pass it to `#TextButton(Appearance, String)`.

### TextButton

    public TextButton(java.lang.String text)

  Construct a new `TextButton` with the specified text using the default `TextButtonCell.Appearance`.

  The default `TextButtonCell.Appearance` may be replaced with a more modern appearance in the future. If you do not want the appearance to be updated with successive versions of GWT, create an `TextButtonCell.Appearance` and pass it to `#TextButton(Appearance, String)`.

### TextButton

    public TextButton(TextButtonCell.Appearance appearance,
                      java.lang.String text)

  Construct a new `TextButton` with the specified text using the specified `TextButtonCell.Appearance` to render the widget.

  Parameters:
    `appearance` - the `TextButtonCell.Appearance` used to render the widget
    `text` - the text content

### TextButton

    protected TextButton(TextButtonCell cell,
                         java.lang.String text)

  Construct a new `TextButton` with the specified text using the specified `TextButtonCell` to render the widget.

  Parameters:
    `cell` - the `TextButtonCell` used to render the widget
    `text` - the text content

Method Detail

### getText

    public java.lang.String getText()

  Description copied from interface: `HasText`
  Gets this object's text.

  Specified by:
    `getText` in interface `HasText`
  Returns:
    the object's text

### setText

    public void setText(java.lang.String text)

  Description copied from interface: `HasText`
  Sets this object's text.

  Specified by:
    `setText` in interface `HasText`
  Parameters:
    `text` - the object's new text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD